Index: trip-planner-front/src/app/_services/city.service.ts
===================================================================
--- trip-planner-front/src/app/_services/city.service.ts	(revision 571e0df9a7a5e798c9941a85842f785177bedbbd)
+++ trip-planner-front/src/app/_services/city.service.ts	(revision 6a3a178323fd905112b5392bd9d3cb83b66ef2d3)
@@ -7,4 +7,5 @@
     providedIn:'root'
 })
+
 export class CityService{
     constructor(private httpClient: HttpClient){
Index: trip-planner-front/src/app/_services/images.service.ts
===================================================================
--- trip-planner-front/src/app/_services/images.service.ts	(revision 571e0df9a7a5e798c9941a85842f785177bedbbd)
+++ 	(revision )
@@ -1,17 +1,0 @@
-import { HttpClient } from "@angular/common/http";
-import { Injectable } from "@angular/core";
-import { Observable } from "rxjs";
-import { Images } from "../_models/images";
-
-@Injectable({
-    providedIn:'root'
-})
-export class ImagesService{
-    constructor(private httpClient: HttpClient){
-    }
-
-    getAllImagesForLocation(locationId : number):Observable<Images[]>{
-        let url = "http://localhost:8080/api/images";
-        return this.httpClient.get<Images[]>(url + "?locationId=" + locationId);
-    }
-}
Index: trip-planner-front/src/app/_services/location.service.ts
===================================================================
--- trip-planner-front/src/app/_services/location.service.ts	(revision 571e0df9a7a5e798c9941a85842f785177bedbbd)
+++ 	(revision )
@@ -1,80 +1,0 @@
-import { HttpClient, HttpHeaders } from "@angular/common/http";
-import { Injectable } from "@angular/core";
-import { Observable } from "rxjs";
-import { LocationDto } from "../_models/dto/locationDto";
-import { PlannerLocationDto } from "../_models/dto/plannerLocationDto";
-import { Location } from "../_models/location";
-
-@Injectable({
-    providedIn: 'root'
-})
-export class LocationService{
-
-    httpHeaders: HttpHeaders = new HttpHeaders({
-        'Authorization': '' + sessionStorage.getItem("token"),
-        'Accept': 'application/json',
-        'Content-Type': 'application/json'
-    });
-
-    constructor(private httpClient : HttpClient){}
-
-    getLocationsFromCity(cityId: number, companionId: number, lengthOfStay: number, categoryIds: string): Observable<Location[]>{
-        let url = "http://localhost:8080/api/city/locations";
-        return this.httpClient.get<Location[]>(url + '?cityId=' + cityId + '&companionId=' + companionId + '&lengthOfStay=' + lengthOfStay + '&categoryIds='+ categoryIds);
-    }
-
-    getLocationsFromRegion(regionId: number, companionId: number, lengthOfStay: number, categoryIds: string):Observable<Object[]>{
-        let url = "http://localhost:8080/api/region/locations";
-        return this.httpClient.get<Location[]>(url + '?regionId=' + regionId + '&companionId=' + companionId + '&lengthOfStay=' + lengthOfStay + '&categoryIds='+ categoryIds);
-    }
-
-    postLocationToPlanner(plannerLocationDto : PlannerLocationDto) : Observable<Location>{
-        let url = "http://localhost:8080/api/add-location";
-        return this.httpClient.post<Location>(url, plannerLocationDto);
-    }
-
-    getLocationsForPlanner(plannerId : number) : Observable<Location[]>{
-        let url = "http://localhost:8080/api/planner/locations";
-        return this.httpClient.get<Location[]>(url + '?plannerId=' + plannerId);
-    }
-
-    getAllLocations() : Observable<Location[]> {
-        let url = "http://localhost:8080/api/locations";
-        return this.httpClient.get<Location[]>(url);
-    }
-
-    getWeekendGetaways() : Observable<Location[]>{
-        let url = "http://localhost:8080/api/weekend";
-        return this.httpClient.get<Location[]>(url);
-    }
-
-    getVillages() : Observable<Location[]>{
-        let url = "http://localhost:8080/api/villages";
-        return this.httpClient.get<Location[]>(url);
-    }
-
-    getLocation(id : number) :Observable<Location>{
-        let url = "http://localhost:8080/api/location/" + id;
-        return this.httpClient.get<Location>(url);
-    }
-
-    getAllLocationsForPlanner(id: number): Observable<Location[]>{
-        let url = "http://localhost:8080/api/planner/locations";
-        return this.httpClient.get<Location[]>(url + "?plannerId=" + id);
-    }
-
-    getAllLocationIdsForPlanner(id:number):Observable<number[]>{
-        let url = "http://localhost:8080/api/planner/locationIds";
-        return this.httpClient.get<number[]>(url + "?plannerId="+id);
-    }
-    
-    getAllLocationsSearch(place : string) : Observable<Location[]>{
-        let url="http://localhost:8080/api/all"; 
-        return this.httpClient.get<Location[]>(url + "?place=" + place);
-    }
-
-    save(locationDto : LocationDto) : Observable<Location>{
-        let url = "http://localhost:8080/api/add";
-        return this.httpClient.post<Location>(url, locationDto, {headers: this.httpHeaders});
-    }
-}
Index: trip-planner-front/src/app/_services/places.service.ts
===================================================================
--- trip-planner-front/src/app/_services/places.service.ts	(revision 571e0df9a7a5e798c9941a85842f785177bedbbd)
+++ 	(revision )
@@ -1,17 +1,0 @@
-import { HttpClient } from "@angular/common/http";
-import { Injectable } from "@angular/core";
-import { Observable } from "rxjs";
-import { CityService } from "./city.service";
-import { CountryService } from "./country.service";
-import { forkJoin  } from 'rxjs';
-
-@Injectable({
-    providedIn: 'root'
-})
-
-export class PlaceService{
-
-    constructor(private httpClient : HttpClient, private cityService: CityService, private countryService : CountryService){}
-    
-    
-}
Index: trip-planner-front/src/app/_services/planner.service.ts
===================================================================
--- trip-planner-front/src/app/_services/planner.service.ts	(revision 571e0df9a7a5e798c9941a85842f785177bedbbd)
+++ trip-planner-front/src/app/_services/planner.service.ts	(revision 6a3a178323fd905112b5392bd9d3cb83b66ef2d3)
@@ -1,7 +1,5 @@
-import { HttpClient, HttpHeaders } from "@angular/common/http";
+import { HttpClient } from "@angular/common/http";
 import { Injectable } from "@angular/core";
 import { Observable } from "rxjs";
-import { PlannerDto } from "../_models/dto/plannerDto";
-import { PlannerLocationDto } from "../_models/dto/plannerLocationDto";
 import { Planner } from "../_models/planner";
 
@@ -9,54 +7,10 @@
     providedIn: 'root'
 })
-export class PlannerService {
-
-    httpHeaders: HttpHeaders = new HttpHeaders({
-        'Authorization': '' + sessionStorage.getItem("token"),
-        'Accept': 'application/json',
-        'Content-Type': 'application/json'
-    });
-
-    constructor(private httpClient: HttpClient) {
+export class PlannerService{
+    constructor(private httpClient: HttpClient){
     }
-
-
-    getAllPlanners(): Observable<Planner[]> {
-        let url = "http://localhost:8080/api/planners/user";
-        console.log("SERVID: " + sessionStorage.getItem("token"));
-        console.log(this.httpHeaders.get('Authorization'));
-        return this.httpClient.get<Planner[]>(url, { headers: this.httpHeaders });
+    getAllPlanners():Observable<Planner[]>{
+        let url = "http://localhost:8080/api/planners";
+        return this.httpClient.get<Planner[]>(url);
     }
-
-    postInitialPlanner(plannerDto: PlannerDto): Observable<Planner> {
-        let url = "http://localhost:8080/api/planner/new";
-        return this.httpClient.post<Planner>(url, plannerDto, {headers: this.httpHeaders});
-    }
-
-    updatePlanner(id: number, plannerDto: PlannerDto): Observable<Planner> {
-        let url = "http://localhost:8080/api/edit/planner/" + id;
-        return this.httpClient.put<Planner>(url, plannerDto, { headers: this.httpHeaders });
-    }
-
-    getPlannerById(id: number): Observable<Planner> {
-        let url = "http://localhost:8080/api/planner/" + id;
-        return this.httpClient.get<Planner>(url);
-    }
-
-    deletePlannerById(id: number): Observable<Planner> {
-        let url = "http://localhost:8080/api/delete/" + id;
-        return this.httpClient.delete<Planner>(url, { headers: this.httpHeaders });
-    }
-
-    deleteLocationFromPlanner(plannerLocationDto : PlannerLocationDto) {
-        let url = "http://localhost:8080/api/delete-location";
-        const options = {
-            body: {
-                "plannerId": plannerLocationDto.plannerId, 
-                "locationId": plannerLocationDto.locationId
-            } 
-        }
-        return this.httpClient.request('delete', url, options);
-    }
- 
-
 }
Index: trip-planner-front/src/app/_services/region.service.ts
===================================================================
--- trip-planner-front/src/app/_services/region.service.ts	(revision 571e0df9a7a5e798c9941a85842f785177bedbbd)
+++ 	(revision )
@@ -1,22 +1,0 @@
-import { HttpClient } from "@angular/common/http";
-import { Injectable } from "@angular/core";
-import { Observable } from "rxjs";
-import { Region } from "../_models/region";
-
-@Injectable({
-    providedIn: 'root'
-})
-export class RegionService{
-    constructor(private httpClient: HttpClient){
-    }
-
-    getAllRegions():Observable<Region[]>{
-        let url = "http://localhost:8080/api/regions";
-        return this.httpClient.get<Region[]>(url);
-    }
-
-    getAllCitiesAndRegions() :Observable<string[]>{
-        let url = "http://localhost:8080/api/places";
-        return this.httpClient.get<string[]>(url);
-    }
-}
Index: trip-planner-front/src/app/_services/user.service.ts
===================================================================
--- trip-planner-front/src/app/_services/user.service.ts	(revision 571e0df9a7a5e798c9941a85842f785177bedbbd)
+++ 	(revision )
@@ -1,65 +1,0 @@
-import { HttpClient, HttpHeaders } from "@angular/common/http";
-import { Injectable } from "@angular/core";
-import { Observable } from "rxjs";
-import { map } from "rxjs/operators";
-import { LoginRequest } from "../_models/dto/loginRequest";
-import { UserDto } from "../_models/dto/userDto";
-import { User } from "../_models/user";
-
-@Injectable({
-  providedIn: 'root'
-})
-export class UserService {
-
-  headers = new HttpHeaders({
-    'Content-Type': 'application/json',
-    'Access-Control-Allow-Headers': 'Content-Type',
-
-  });
-
-  constructor(private httpClient: HttpClient) {
-
-  }
-
-  registerUser(user: UserDto): Observable<User> {
-    let url = "http://localhost:8080/api/users/register";
-    return this.httpClient.post<User>(url, user, { headers: this.headers });
-  }
-
-  authenticateUser(loginResult: LoginRequest) {
-    let url = "http://localhost:8080/api/users/login";
-    return this.httpClient.post<any>(url, loginResult)
-      .pipe(
-        map(userData => {
-          sessionStorage.setItem("username", loginResult.username);
-          let tokenStr = userData.token;
-          sessionStorage.setItem("token", tokenStr);
-          return userData;
-        })
-      );
-  }
-
-  isUserLoggedIn() {
-    let user = sessionStorage.getItem("username");
-    let token = sessionStorage.getItem("token");
-    return !(user === null);
-  }
-
-  getAllUsernames() {
-    let url = "http://localhost:8080/api/users/usernames";
-    return this.httpClient.get<string[]>(url);
-  }
-
-  getPassword(loginRequest : LoginRequest){
-    let url="http://localhost:8080/api/users/password";
-    const options = {
-      
-      body: {
-          "username": loginRequest.username
-          
-      } 
-  }
-    return this.httpClient.request('get', url, options);
-  }
-
-}
